summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/jsonpointer/jsonpointer-1.7.ebuild')
-rw-r--r--dev-python/jsonpointer/jsonpointer-1.7.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/jsonpointer/jsonpointer-1.7.ebuild b/dev-python/jsonpointer/jsonpointer-1.7.ebuild
new file mode 100644
index 00000000000..5a70a32ce7c
--- /dev/null
+++ b/dev-python/jsonpointer/jsonpointer-1.7.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Identify specific nodes in a JSON document (according to draft 08)"
+HOMEPAGE="https://github.com/stefankoegl/python-json-pointer https://pypi.python.org/pypi/jsonpointer/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+ "${PYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}